> ## Documentation Index
> Fetch the complete documentation index at: https://docs.postable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account

> Retrieve your Postable account information



## OpenAPI

````yaml GET /account
openapi: 3.1.0
info:
  title: Postable API
  version: 1.0.0
  description: API for managing contacts and groups in Postable
servers:
  - url: https://www.postable.com/api/v1
    description: API base URL
security: []
paths:
  /account:
    get:
      summary: Get current user account details
      responses:
        '200':
          description: User account details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
      security:
        - sanctum: []
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: integer
          format: int64
        email:
          type: string
          format: email
        username:
          type: string
        account_type:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        contact:
          $ref: '#/components/schemas/Contact'
        shipping:
          $ref: '#/components/schemas/ShippingAddress'
      required:
        - id
        - email
        - account_type
    Contact:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          description: Unique identifier for the contact
        internal_id:
          type: string
          maxLength: 20
          nullable: true
          description: >-
            Your internal identifier for this contact (e.g., customer ID from
            your system)
        prefix:
          type: string
          description: Prefix/title (e.g., Mr., Mrs., Dr.)
        first_name:
          type: string
          description: First name of the contact
        middle_name:
          type: string
          description: Middle name of the contact
        last_name:
          type: string
          description: Last name of the contact
        company:
          type: string
          description: Company name
        email:
          type: string
          format: email
          description: Email address
        phone:
          type: string
          description: Phone number
        address:
          type: string
          description: Street address
        apt:
          type: string
          description: Apartment, suite, or unit number
        city:
          type: string
          description: City
        state:
          type: string
          description: State or province
        zip:
          type: string
          description: ZIP or postal code
        country:
          type: string
          description: Country
        spouse_prefix:
          type: string
          description: Spouse's prefix/title
        spouse_first_name:
          type: string
          description: Spouse's first name
        spouse_middle_name:
          type: string
          description: Spouse's middle name
        spouse_last_name:
          type: string
          description: Spouse's last name
        birth_month:
          type: integer
          minimum: 1
          maximum: 12
          description: Birth month
        birth_day:
          type: integer
          minimum: 1
          maximum: 31
          description: Birth day
        birth_year:
          type: integer
          description: Birth year
        anniversary_month:
          type: integer
          minimum: 1
          maximum: 12
          description: Anniversary month
        anniversary_day:
          type: integer
          minimum: 1
          maximum: 31
          description: Anniversary day
        anniversary_year:
          type: integer
          description: Anniversary year
        spouse_birth_month:
          type: integer
          minimum: 1
          maximum: 12
          description: Spouse's birth month
        spouse_birth_day:
          type: integer
          minimum: 1
          maximum: 31
          description: Spouse's birth day
        spouse_birth_year:
          type: integer
          description: Spouse's birth year
        children:
          type: array
          description: List of children
          items:
            $ref: '#/components/schemas/Child'
        pets:
          type: array
          description: List of pets
          items:
            $ref: '#/components/schemas/Pet'
        notes:
          type: string
          description: Additional notes about the contact
        created_at:
          type: string
          format: date-time
          description: Creation timestamp in ISO-8601 format
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp in ISO-8601 format
      required:
        - first_name
        - last_name
    ShippingAddress:
      type: object
      properties:
        name:
          type: string
        company:
          type: string
        address:
          type: string
        apt:
          type: string
        city:
          type: string
        state:
          type: string
        zip:
          type: string
        country:
          type: string
    Child:
      type: object
      properties:
        first_name:
          type: string
          description: First name of the child
        birth_month:
          type: integer
          minimum: 1
          maximum: 12
          description: Birth month of the child
        birth_day:
          type: integer
          minimum: 1
          maximum: 31
          description: Birth day of the child
        birth_year:
          type: integer
          description: Birth year of the child
      required:
        - first_name
    Pet:
      type: object
      properties:
        name:
          type: string
          description: Name of the pet
        birth_month:
          type: integer
          minimum: 1
          maximum: 12
          description: Birth month of the pet
        birth_day:
          type: integer
          minimum: 1
          maximum: 31
          description: Birth day of the pet
        birth_year:
          type: integer
          description: Birth year of the pet
        secondary_type:
          type: string
          description: Type of pet (e.g., Dog, Cat)
      required:
        - name
  securitySchemes:
    sanctum:
      type: http
      scheme: bearer
      bearerFormat: JWT

````